std::integral_constant< _Tp, __v >(3)

NAME
std::integral_constant< _Tp, __v > - integral_constant

SYNOPSIS

#include <type_traits>

Inherited by std::__parse_int::_Number< _Base, _Digs >, std::__parse_int::_Number< _Base >, std::__parse_int::_Parse_int< _Digs >, std::__parse_int::_Parse_int< '0', 'B', _Digs... >, std::__parse_int::_Parse_int< '0', 'X', _Digs... >, std::__parse_int::_Parse_int< '0', 'b', _Digs... >, std::__parse_int::_Parse_int< '0', 'x', _Digs... >, std::__parse_int::_Parse_int< '0', _Digs... >, std::__parse_int::_Power< _Base, _Digs >, and std::__parse_int::_Power< _Base >.

  Public Types
using type
using value_type

  Public Member Functions
constexpr operator value_type () const noexcept

  Static Public Attributes
static constexpr _Tp value

Detailed Description

  template<typename _Tp, _Tp __v>
struct std::integral_constant< _Tp, __v >"integral_constant

Author

Generated automatically by Doxygen for libstdc++ from the source code.